<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Mini51 BSP: SYS Exported Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="M0Banner_v2.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Mini51 BSP
   &#160;<span id="projectnumber">V3.02.002</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">SYS Exported Functions<div class="ingroups"><a class="el" href="group___m_i_n_i51___device___driver.html">MINI51 Device Driver</a> &raquo; <a class="el" href="group___m_i_n_i51___s_y_s___driver.html">SYS Driver</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:gaed82cacd9e06315970dd4d6f7772dc5b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaed82cacd9e06315970dd4d6f7772dc5b">SYS_CLEAR_BOD_INT_FLAG</a>()&#160;&#160;&#160;(<a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;BODCTL |= <a class="el" href="_mini51_series_8h.html#a3f6e018bc3328a161c7e15e38d240053">SYS_BODCR_BOD_INTF_Msk</a>)</td></tr>
<tr class="memdesc:gaed82cacd9e06315970dd4d6f7772dc5b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear Brown-out detector interrupt flag.  <a href="#gaed82cacd9e06315970dd4d6f7772dc5b">More...</a><br /></td></tr>
<tr class="separator:gaed82cacd9e06315970dd4d6f7772dc5b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8ecb9398a8a64f9c5edf70fe6aac3905"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8ecb9398a8a64f9c5edf70fe6aac3905">SYS_CLEAR_BOD_LPM</a>()&#160;&#160;&#160;(<a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;BODCTL &amp;= ~<a class="el" href="_mini51_series_8h.html#a4782e02312409a7aaa4496c76b465070">SYS_BODCR_BOD_LPM_Msk</a>)</td></tr>
<tr class="memdesc:ga8ecb9398a8a64f9c5edf70fe6aac3905"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set Brown-out detector function to normal mode.  <a href="#ga8ecb9398a8a64f9c5edf70fe6aac3905">More...</a><br /></td></tr>
<tr class="separator:ga8ecb9398a8a64f9c5edf70fe6aac3905"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga768d28264e9de705e1fcecd081c4704c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga768d28264e9de705e1fcecd081c4704c">SYS_DISABLE_BOD</a>()&#160;&#160;&#160;(<a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;BODCTL = (<a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;BODCTL &amp;~(<a class="el" href="_mini51_series_8h.html#a14ab8ccf60618bb4936d921589e142fb">SYS_BODCR_BOD_VL_Msk</a>|<a class="el" href="_mini51_series_8h.html#a688a006e9df292bd838534727031673f">SYS_BODCR_BOD_VL_EXT_Msk</a>))|<a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gade2b4abdfddeaca2a2fd966db05ebef7">SYS_BODCR_BOD_DISABLE</a>)</td></tr>
<tr class="memdesc:ga768d28264e9de705e1fcecd081c4704c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable Brown-out detector function.  <a href="#ga768d28264e9de705e1fcecd081c4704c">More...</a><br /></td></tr>
<tr class="separator:ga768d28264e9de705e1fcecd081c4704c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1d01b7f4c7400109595965da54644db1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1d01b7f4c7400109595965da54644db1">SYS_ENABLE_BOD</a>()&#160;&#160;&#160;(<a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;BODCTL = (<a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;BODCTL &amp; ~<a class="el" href="_mini51_series_8h.html#a14ab8ccf60618bb4936d921589e142fb">SYS_BODCR_BOD_VL_Msk</a>) | <a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3e07729ba5db932a357cfe6b063d3138">SYS_BODCR_BOD_VL_3_7V</a>)</td></tr>
<tr class="memdesc:ga1d01b7f4c7400109595965da54644db1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable Brown-out detector function.  <a href="#ga1d01b7f4c7400109595965da54644db1">More...</a><br /></td></tr>
<tr class="separator:ga1d01b7f4c7400109595965da54644db1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa143c2f95d839344a5f7ca9cb899fa07"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa143c2f95d839344a5f7ca9cb899fa07">SYS_GET_BOD_INT_FLAG</a>()&#160;&#160;&#160;(<a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;BODCTL &amp; <a class="el" href="_mini51_series_8h.html#a3f6e018bc3328a161c7e15e38d240053">SYS_BODCR_BOD_INTF_Msk</a>)</td></tr>
<tr class="memdesc:gaa143c2f95d839344a5f7ca9cb899fa07"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get Brown-out detector interrupt flag.  <a href="#gaa143c2f95d839344a5f7ca9cb899fa07">More...</a><br /></td></tr>
<tr class="separator:gaa143c2f95d839344a5f7ca9cb899fa07"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3021affb4789221a2616c47c3a9dc924"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3021affb4789221a2616c47c3a9dc924">SYS_GET_BOD_OUTPUT</a>()&#160;&#160;&#160;(<a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;BODCTL &amp; <a class="el" href="_mini51_series_8h.html#aa2450c8229a70bd403b04465d34d7afc">SYS_BODCR_BOD_OUT_Msk</a>)</td></tr>
<tr class="memdesc:ga3021affb4789221a2616c47c3a9dc924"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get Brown-out detector status.  <a href="#ga3021affb4789221a2616c47c3a9dc924">More...</a><br /></td></tr>
<tr class="separator:ga3021affb4789221a2616c47c3a9dc924"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga920194a0a2675d959bea6bc980a64230"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga920194a0a2675d959bea6bc980a64230">SYS_DISABLE_BOD_RST</a>()&#160;&#160;&#160;(<a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;BODCTL &amp;= ~<a class="el" href="_mini51_series_8h.html#afb06690cf15562e6d65cdc9317b24a02">SYS_BODCR_BOD_RSTEN_Msk</a>)</td></tr>
<tr class="memdesc:ga920194a0a2675d959bea6bc980a64230"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable Brown-out detector interrupt function.  <a href="#ga920194a0a2675d959bea6bc980a64230">More...</a><br /></td></tr>
<tr class="separator:ga920194a0a2675d959bea6bc980a64230"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4d0a0678f5f000cdc62887871d1802ff"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4d0a0678f5f000cdc62887871d1802ff">SYS_ENABLE_BOD_RST</a>()&#160;&#160;&#160;(<a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;BODCTL |= <a class="el" href="_mini51_series_8h.html#afb06690cf15562e6d65cdc9317b24a02">SYS_BODCR_BOD_RSTEN_Msk</a>)</td></tr>
<tr class="memdesc:ga4d0a0678f5f000cdc62887871d1802ff"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable Brown-out detector reset function.  <a href="#ga4d0a0678f5f000cdc62887871d1802ff">More...</a><br /></td></tr>
<tr class="separator:ga4d0a0678f5f000cdc62887871d1802ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab72946358ea643256fb03e60feb3d8f4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab72946358ea643256fb03e60feb3d8f4">SYS_SET_BOD_LPM</a>()&#160;&#160;&#160;(<a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;BODCTL |= <a class="el" href="_mini51_series_8h.html#a4782e02312409a7aaa4496c76b465070">SYS_BODCR_BOD_LPM_Msk</a>)</td></tr>
<tr class="memdesc:gab72946358ea643256fb03e60feb3d8f4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set Brown-out detector function low power mode.  <a href="#gab72946358ea643256fb03e60feb3d8f4">More...</a><br /></td></tr>
<tr class="separator:gab72946358ea643256fb03e60feb3d8f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga46edb120c56373a118b718343c319c77"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga46edb120c56373a118b718343c319c77">SYS_SET_BOD_LEVEL</a>(u32Level)&#160;&#160;&#160;(<a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;BODCTL = (<a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;BODCTL &amp; ~<a class="el" href="_mini51_series_8h.html#a14ab8ccf60618bb4936d921589e142fb">SYS_BODCR_BOD_VL_Msk</a>) | u32Level)</td></tr>
<tr class="memdesc:ga46edb120c56373a118b718343c319c77"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set Brown-out detector voltage level.  <a href="#ga46edb120c56373a118b718343c319c77">More...</a><br /></td></tr>
<tr class="separator:ga46edb120c56373a118b718343c319c77"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae5846760beb8ab0af65801ddfc327d63"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae5846760beb8ab0af65801ddfc327d63">SYS_IS_BOD_RST</a>()&#160;&#160;&#160;(<a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;RSTSRC &amp; <a class="el" href="_mini51_series_8h.html#a6aa5bb227c39451b5114c958fcfd2152">SYS_RSTSRC_RSTS_BOD_Msk</a>)</td></tr>
<tr class="memdesc:gae5846760beb8ab0af65801ddfc327d63"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get reset source is from Brown-out detector reset.  <a href="#gae5846760beb8ab0af65801ddfc327d63">More...</a><br /></td></tr>
<tr class="separator:gae5846760beb8ab0af65801ddfc327d63"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab60985353247a98c40451146e324ac8c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab60985353247a98c40451146e324ac8c">SYS_IS_CPU_RST</a>()&#160;&#160;&#160;(<a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;RSTSRC &amp; <a class="el" href="_mini51_series_8h.html#aa4bf7ae407b400c7d86f7e85aab41499">SYS_RSTSRC_RSTS_CPU_Msk</a>)</td></tr>
<tr class="memdesc:gab60985353247a98c40451146e324ac8c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get reset source is from CPU reset.  <a href="#gab60985353247a98c40451146e324ac8c">More...</a><br /></td></tr>
<tr class="separator:gab60985353247a98c40451146e324ac8c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0ed11ba1130464efdb1762c73efa15de"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0ed11ba1130464efdb1762c73efa15de">SYS_IS_POR_RST</a>()&#160;&#160;&#160;(<a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;RSTSRC &amp; <a class="el" href="_mini51_series_8h.html#a61adf1a22db7ff6850c89e9564422fbc">SYS_RSTSRC_RSTS_POR_Msk</a>)</td></tr>
<tr class="memdesc:ga0ed11ba1130464efdb1762c73efa15de"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get reset source is from Power-on Reset.  <a href="#ga0ed11ba1130464efdb1762c73efa15de">More...</a><br /></td></tr>
<tr class="separator:ga0ed11ba1130464efdb1762c73efa15de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8a0a6032d2a8667694b98e6d217575ab"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8a0a6032d2a8667694b98e6d217575ab">SYS_IS_RSTPIN_RST</a>()&#160;&#160;&#160;(<a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;RSTSRC &amp; <a class="el" href="_mini51_series_8h.html#afe0dfb04c78c60483f8cbc0cde17edb9">SYS_RSTSRC_RSTS_RESET_Msk</a>)</td></tr>
<tr class="memdesc:ga8a0a6032d2a8667694b98e6d217575ab"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get reset source is from reset pin reset.  <a href="#ga8a0a6032d2a8667694b98e6d217575ab">More...</a><br /></td></tr>
<tr class="separator:ga8a0a6032d2a8667694b98e6d217575ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1bd9b963e9433f56137b2d3af0aac52a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1bd9b963e9433f56137b2d3af0aac52a">SYS_IS_SYSTEM_RST</a>()&#160;&#160;&#160;(<a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;RSTSRC &amp; <a class="el" href="_mini51_series_8h.html#a33d08c0df5022d6bdc1bcbab6ad2b6c3">SYS_RSTSRC_RSTS_MCU_Msk</a>)</td></tr>
<tr class="memdesc:ga1bd9b963e9433f56137b2d3af0aac52a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get reset source is from system reset.  <a href="#ga1bd9b963e9433f56137b2d3af0aac52a">More...</a><br /></td></tr>
<tr class="separator:ga1bd9b963e9433f56137b2d3af0aac52a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9bd1908e7dfce8dfd174eed46a5590a0"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9bd1908e7dfce8dfd174eed46a5590a0">SYS_IS_WDT_RST</a>()&#160;&#160;&#160;(<a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;RSTSRC &amp; <a class="el" href="_mini51_series_8h.html#a4844b60153a47545a3ab658cdf1dad40">SYS_RSTSRC_RSTS_WDT_Msk</a>)</td></tr>
<tr class="memdesc:ga9bd1908e7dfce8dfd174eed46a5590a0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get reset source is from window watch dog reset.  <a href="#ga9bd1908e7dfce8dfd174eed46a5590a0">More...</a><br /></td></tr>
<tr class="separator:ga9bd1908e7dfce8dfd174eed46a5590a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga298641f692b14590369c4e1f0707ec4e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga298641f692b14590369c4e1f0707ec4e">SYS_DISABLE_POR</a>()&#160;&#160;&#160;(<a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;PORCR = 0x5AA5)</td></tr>
<tr class="memdesc:ga298641f692b14590369c4e1f0707ec4e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable Power-on Reset function.  <a href="#ga298641f692b14590369c4e1f0707ec4e">More...</a><br /></td></tr>
<tr class="separator:ga298641f692b14590369c4e1f0707ec4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6dad696b869bd863d4500f65843bdcd9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6dad696b869bd863d4500f65843bdcd9">SYS_ENABLE_POR</a>()&#160;&#160;&#160;(<a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;PORCR = 0)</td></tr>
<tr class="memdesc:ga6dad696b869bd863d4500f65843bdcd9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable Power-on Reset function.  <a href="#ga6dad696b869bd863d4500f65843bdcd9">More...</a><br /></td></tr>
<tr class="separator:ga6dad696b869bd863d4500f65843bdcd9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae4db2f98a2c1943518d02b83b9286620"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae4db2f98a2c1943518d02b83b9286620">SYS_CLEAR_RST_SOURCE</a>(u32RstSrc)&#160;&#160;&#160;(<a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;RSTSRC = u32RstSrc )</td></tr>
<tr class="memdesc:gae4db2f98a2c1943518d02b83b9286620"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear reset source flag.  <a href="#gae4db2f98a2c1943518d02b83b9286620">More...</a><br /></td></tr>
<tr class="separator:gae4db2f98a2c1943518d02b83b9286620"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gafabb183d573b69d6fb9bc208dfbfcd29"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafabb183d573b69d6fb9bc208dfbfcd29">SYS_ClearResetSrc</a> (uint32_t u32Src)</td></tr>
<tr class="memdesc:gafabb183d573b69d6fb9bc208dfbfcd29"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function clear the selected system reset source.  <a href="#gafabb183d573b69d6fb9bc208dfbfcd29">More...</a><br /></td></tr>
<tr class="separator:gafabb183d573b69d6fb9bc208dfbfcd29"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0c9b646f6a8040ef12e8aa801b4a7f25"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0c9b646f6a8040ef12e8aa801b4a7f25">SYS_GetBODStatus</a> (void)</td></tr>
<tr class="memdesc:ga0c9b646f6a8040ef12e8aa801b4a7f25"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function get Brown-out detector output status.  <a href="#ga0c9b646f6a8040ef12e8aa801b4a7f25">More...</a><br /></td></tr>
<tr class="separator:ga0c9b646f6a8040ef12e8aa801b4a7f25"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga74255dfc44a997162d991a69a7d1fbf4"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga74255dfc44a997162d991a69a7d1fbf4">SYS_GetResetSrc</a> (void)</td></tr>
<tr class="memdesc:ga74255dfc44a997162d991a69a7d1fbf4"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function get the system reset source register value.  <a href="#ga74255dfc44a997162d991a69a7d1fbf4">More...</a><br /></td></tr>
<tr class="separator:ga74255dfc44a997162d991a69a7d1fbf4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad35875e441a7602e8b265c09372a2d8d"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad35875e441a7602e8b265c09372a2d8d">SYS_IsRegLocked</a> (void)</td></tr>
<tr class="memdesc:gad35875e441a7602e8b265c09372a2d8d"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function check register write-protection bit setting.  <a href="#gad35875e441a7602e8b265c09372a2d8d">More...</a><br /></td></tr>
<tr class="separator:gad35875e441a7602e8b265c09372a2d8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1f2edc03f82c54243f3c5c7a5012d1d1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1f2edc03f82c54243f3c5c7a5012d1d1">SYS_LockReg</a> (void)</td></tr>
<tr class="memdesc:ga1f2edc03f82c54243f3c5c7a5012d1d1"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function enable register write-protection function.  <a href="#ga1f2edc03f82c54243f3c5c7a5012d1d1">More...</a><br /></td></tr>
<tr class="separator:ga1f2edc03f82c54243f3c5c7a5012d1d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacf942387227541c12b798fcee79a56a0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gacf942387227541c12b798fcee79a56a0">SYS_UnlockReg</a> (void)</td></tr>
<tr class="memdesc:gacf942387227541c12b798fcee79a56a0"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function disable register write-protection function.  <a href="#gacf942387227541c12b798fcee79a56a0">More...</a><br /></td></tr>
<tr class="separator:gacf942387227541c12b798fcee79a56a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabc7601bc640a903ef512f39e08de164a"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabc7601bc640a903ef512f39e08de164a">SYS_ReadPDID</a> (void)</td></tr>
<tr class="memdesc:gabc7601bc640a903ef512f39e08de164a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function get product ID.  <a href="#gabc7601bc640a903ef512f39e08de164a">More...</a><br /></td></tr>
<tr class="separator:gabc7601bc640a903ef512f39e08de164a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafc85afae532807b21e6d9c11d0c3683f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc85afae532807b21e6d9c11d0c3683f">SYS_ResetChip</a> (void)</td></tr>
<tr class="memdesc:gafc85afae532807b21e6d9c11d0c3683f"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function reset chip.  <a href="#gafc85afae532807b21e6d9c11d0c3683f">More...</a><br /></td></tr>
<tr class="separator:gafc85afae532807b21e6d9c11d0c3683f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0844b4c27424787d08fbcdcc74573a0a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0844b4c27424787d08fbcdcc74573a0a">SYS_ResetCPU</a> (void)</td></tr>
<tr class="memdesc:ga0844b4c27424787d08fbcdcc74573a0a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function reset CPU.  <a href="#ga0844b4c27424787d08fbcdcc74573a0a">More...</a><br /></td></tr>
<tr class="separator:ga0844b4c27424787d08fbcdcc74573a0a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9e848b58c75cca02dc03ad1b90383a87"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9e848b58c75cca02dc03ad1b90383a87">SYS_ResetModule</a> (uint32_t u32ModuleIndex)</td></tr>
<tr class="memdesc:ga9e848b58c75cca02dc03ad1b90383a87"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function reset selected modules.  <a href="#ga9e848b58c75cca02dc03ad1b90383a87">More...</a><br /></td></tr>
<tr class="separator:ga9e848b58c75cca02dc03ad1b90383a87"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga790f536ad44ceaec7e95f939d83137b9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga790f536ad44ceaec7e95f939d83137b9">SYS_EnableBOD</a> (int32_t i32Mode, uint32_t u32BODLevel)</td></tr>
<tr class="memdesc:ga790f536ad44ceaec7e95f939d83137b9"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function configure BOD function. Configure BOD reset or interrupt mode and set Brown-out voltage level. Enable Brown-out function.  <a href="#ga790f536ad44ceaec7e95f939d83137b9">More...</a><br /></td></tr>
<tr class="separator:ga790f536ad44ceaec7e95f939d83137b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad0fd5d8424b1d3dc3ec3e92829ed1142"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad0fd5d8424b1d3dc3ec3e92829ed1142">SYS_DisableBOD</a> (void)</td></tr>
<tr class="memdesc:gad0fd5d8424b1d3dc3ec3e92829ed1142"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function disable BOD function.  <a href="#gad0fd5d8424b1d3dc3ec3e92829ed1142">More...</a><br /></td></tr>
<tr class="separator:gad0fd5d8424b1d3dc3ec3e92829ed1142"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="gaed82cacd9e06315970dd4d6f7772dc5b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaed82cacd9e06315970dd4d6f7772dc5b">&#9670;&nbsp;</a></span>SYS_CLEAR_BOD_INT_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SYS_CLEAR_BOD_INT_FLAG</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td>&#160;&#160;&#160;(<a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;BODCTL |= <a class="el" href="_mini51_series_8h.html#a3f6e018bc3328a161c7e15e38d240053">SYS_BODCR_BOD_INTF_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Clear Brown-out detector interrupt flag. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>This macro clear Brown-out detector interrupt flag. </p>

<p class="definition">Definition at line <a class="el" href="sys_8h_source.html#l00219">219</a> of file <a class="el" href="sys_8h_source.html">sys.h</a>.</p>

</div>
</div>
<a id="ga8ecb9398a8a64f9c5edf70fe6aac3905"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga8ecb9398a8a64f9c5edf70fe6aac3905">&#9670;&nbsp;</a></span>SYS_CLEAR_BOD_LPM</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SYS_CLEAR_BOD_LPM</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td>&#160;&#160;&#160;(<a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;BODCTL &amp;= ~<a class="el" href="_mini51_series_8h.html#a4782e02312409a7aaa4496c76b465070">SYS_BODCR_BOD_LPM_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set Brown-out detector function to normal mode. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>This macro set Brown-out detector to normal mode. The register write-protection function should be disabled before using this macro. </p>

<p class="definition">Definition at line <a class="el" href="sys_8h_source.html#l00228">228</a> of file <a class="el" href="sys_8h_source.html">sys.h</a>.</p>

</div>
</div>
<a id="gae4db2f98a2c1943518d02b83b9286620"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gae4db2f98a2c1943518d02b83b9286620">&#9670;&nbsp;</a></span>SYS_CLEAR_RST_SOURCE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SYS_CLEAR_RST_SOURCE</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32RstSrc</td><td>)</td>
          <td>&#160;&#160;&#160;(<a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;RSTSRC = u32RstSrc )</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Clear reset source flag. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32RstSrc</td><td>is reset source. Including :<ul>
<li><a class="el" href="_mini51_series_8h.html#a61adf1a22db7ff6850c89e9564422fbc">SYS_RSTSRC_RSTS_POR_Msk</a></li>
<li><a class="el" href="_mini51_series_8h.html#afe0dfb04c78c60483f8cbc0cde17edb9">SYS_RSTSRC_RSTS_RESET_Msk</a></li>
<li><a class="el" href="_mini51_series_8h.html#a4844b60153a47545a3ab658cdf1dad40">SYS_RSTSRC_RSTS_WDT_Msk</a></li>
<li><a class="el" href="_mini51_series_8h.html#a6aa5bb227c39451b5114c958fcfd2152">SYS_RSTSRC_RSTS_BOD_Msk</a></li>
<li><a class="el" href="_mini51_series_8h.html#a33d08c0df5022d6bdc1bcbab6ad2b6c3">SYS_RSTSRC_RSTS_MCU_Msk</a></li>
<li><a class="el" href="_mini51_series_8h.html#aa4bf7ae407b400c7d86f7e85aab41499">SYS_RSTSRC_RSTS_CPU_Msk</a> </li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>This macro clear reset source flag. </p>

<p class="definition">Definition at line <a class="el" href="sys_8h_source.html#l00391">391</a> of file <a class="el" href="sys_8h_source.html">sys.h</a>.</p>

</div>
</div>
<a id="ga768d28264e9de705e1fcecd081c4704c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga768d28264e9de705e1fcecd081c4704c">&#9670;&nbsp;</a></span>SYS_DISABLE_BOD</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SYS_DISABLE_BOD</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td>&#160;&#160;&#160;(<a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;BODCTL = (<a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;BODCTL &amp;~(<a class="el" href="_mini51_series_8h.html#a14ab8ccf60618bb4936d921589e142fb">SYS_BODCR_BOD_VL_Msk</a>|<a class="el" href="_mini51_series_8h.html#a688a006e9df292bd838534727031673f">SYS_BODCR_BOD_VL_EXT_Msk</a>))|<a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gade2b4abdfddeaca2a2fd966db05ebef7">SYS_BODCR_BOD_DISABLE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Disable Brown-out detector function. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>This macro disable Brown-out detector function. The register write-protection function should be disabled before using this macro. </p>

<p class="definition">Definition at line <a class="el" href="sys_8h_source.html#l00237">237</a> of file <a class="el" href="sys_8h_source.html">sys.h</a>.</p>

</div>
</div>
<a id="ga920194a0a2675d959bea6bc980a64230"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga920194a0a2675d959bea6bc980a64230">&#9670;&nbsp;</a></span>SYS_DISABLE_BOD_RST</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SYS_DISABLE_BOD_RST</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td>&#160;&#160;&#160;(<a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;BODCTL &amp;= ~<a class="el" href="_mini51_series_8h.html#afb06690cf15562e6d65cdc9317b24a02">SYS_BODCR_BOD_RSTEN_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enable Brown-out detector interrupt function. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>This macro enable Brown-out detector interrupt function. The register write-protection function should be disabled before using this macro. </p>

<p class="definition">Definition at line <a class="el" href="sys_8h_source.html#l00274">274</a> of file <a class="el" href="sys_8h_source.html">sys.h</a>.</p>

</div>
</div>
<a id="ga298641f692b14590369c4e1f0707ec4e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga298641f692b14590369c4e1f0707ec4e">&#9670;&nbsp;</a></span>SYS_DISABLE_POR</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SYS_DISABLE_POR</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td>&#160;&#160;&#160;(<a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;PORCR = 0x5AA5)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Disable Power-on Reset function. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>This macro disable Power-on Reset function. The register write-protection function should be disabled before using this macro. </p>

<p class="definition">Definition at line <a class="el" href="sys_8h_source.html#l00368">368</a> of file <a class="el" href="sys_8h_source.html">sys.h</a>.</p>

</div>
</div>
<a id="ga1d01b7f4c7400109595965da54644db1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga1d01b7f4c7400109595965da54644db1">&#9670;&nbsp;</a></span>SYS_ENABLE_BOD</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SYS_ENABLE_BOD</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td>&#160;&#160;&#160;(<a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;BODCTL = (<a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;BODCTL &amp; ~<a class="el" href="_mini51_series_8h.html#a14ab8ccf60618bb4936d921589e142fb">SYS_BODCR_BOD_VL_Msk</a>) | <a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3e07729ba5db932a357cfe6b063d3138">SYS_BODCR_BOD_VL_3_7V</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enable Brown-out detector function. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>This macro enable Brown-out detector function and set BOD_LV=3.7V The register write-protection function should be disabled before using this macro. </p>

<p class="definition">Definition at line <a class="el" href="sys_8h_source.html#l00246">246</a> of file <a class="el" href="sys_8h_source.html">sys.h</a>.</p>

</div>
</div>
<a id="ga4d0a0678f5f000cdc62887871d1802ff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga4d0a0678f5f000cdc62887871d1802ff">&#9670;&nbsp;</a></span>SYS_ENABLE_BOD_RST</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SYS_ENABLE_BOD_RST</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td>&#160;&#160;&#160;(<a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;BODCTL |= <a class="el" href="_mini51_series_8h.html#afb06690cf15562e6d65cdc9317b24a02">SYS_BODCR_BOD_RSTEN_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enable Brown-out detector reset function. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>This macro enable Brown-out detect reset function. The register write-protection function should be disabled before using this macro. </p>

<p class="definition">Definition at line <a class="el" href="sys_8h_source.html#l00283">283</a> of file <a class="el" href="sys_8h_source.html">sys.h</a>.</p>

</div>
</div>
<a id="ga6dad696b869bd863d4500f65843bdcd9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga6dad696b869bd863d4500f65843bdcd9">&#9670;&nbsp;</a></span>SYS_ENABLE_POR</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SYS_ENABLE_POR</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td>&#160;&#160;&#160;(<a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;PORCR = 0)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enable Power-on Reset function. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>This macro enable Power-on Reset function. The register write-protection function should be disabled before using this macro. </p>

<p class="definition">Definition at line <a class="el" href="sys_8h_source.html#l00377">377</a> of file <a class="el" href="sys_8h_source.html">sys.h</a>.</p>

</div>
</div>
<a id="gaa143c2f95d839344a5f7ca9cb899fa07"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaa143c2f95d839344a5f7ca9cb899fa07">&#9670;&nbsp;</a></span>SYS_GET_BOD_INT_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SYS_GET_BOD_INT_FLAG</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td>&#160;&#160;&#160;(<a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;BODCTL &amp; <a class="el" href="_mini51_series_8h.html#a3f6e018bc3328a161c7e15e38d240053">SYS_BODCR_BOD_INTF_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get Brown-out detector interrupt flag. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>Brown-out detect interrupt flag is not set. </td></tr>
    <tr><td class="paramname">&gt;=1</td><td>Brown-out detect interrupt flag is set.</td></tr>
  </table>
  </dd>
</dl>
<p>This macro get Brown-out detector interrupt flag. </p>

<p class="definition">Definition at line <a class="el" href="sys_8h_source.html#l00255">255</a> of file <a class="el" href="sys_8h_source.html">sys.h</a>.</p>

</div>
</div>
<a id="ga3021affb4789221a2616c47c3a9dc924"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga3021affb4789221a2616c47c3a9dc924">&#9670;&nbsp;</a></span>SYS_GET_BOD_OUTPUT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SYS_GET_BOD_OUTPUT</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td>&#160;&#160;&#160;(<a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;BODCTL &amp; <a class="el" href="_mini51_series_8h.html#aa2450c8229a70bd403b04465d34d7afc">SYS_BODCR_BOD_OUT_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get Brown-out detector status. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>System voltage is higher than BOD threshold voltage setting or BOD function is disabled. </td></tr>
    <tr><td class="paramname">&gt;=1</td><td>System voltage is lower than BOD threshold voltage setting.</td></tr>
  </table>
  </dd>
</dl>
<p>This macro get Brown-out detector output status. If the BOD function is disabled, this function always return 0. </p>

<p class="definition">Definition at line <a class="el" href="sys_8h_source.html#l00265">265</a> of file <a class="el" href="sys_8h_source.html">sys.h</a>.</p>

</div>
</div>
<a id="gae5846760beb8ab0af65801ddfc327d63"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gae5846760beb8ab0af65801ddfc327d63">&#9670;&nbsp;</a></span>SYS_IS_BOD_RST</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SYS_IS_BOD_RST</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td>&#160;&#160;&#160;(<a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;RSTSRC &amp; <a class="el" href="_mini51_series_8h.html#a6aa5bb227c39451b5114c958fcfd2152">SYS_RSTSRC_RSTS_BOD_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get reset source is from Brown-out detector reset. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>Previous reset source is not from Brown-out detector reset </td></tr>
    <tr><td class="paramname">&gt;=1</td><td>Previous reset source is from Brown-out detector reset</td></tr>
  </table>
  </dd>
</dl>
<p>This macro get previous reset source is from Brown-out detect reset or not. </p>

<p class="definition">Definition at line <a class="el" href="sys_8h_source.html#l00314">314</a> of file <a class="el" href="sys_8h_source.html">sys.h</a>.</p>

</div>
</div>
<a id="gab60985353247a98c40451146e324ac8c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gab60985353247a98c40451146e324ac8c">&#9670;&nbsp;</a></span>SYS_IS_CPU_RST</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SYS_IS_CPU_RST</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td>&#160;&#160;&#160;(<a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;RSTSRC &amp; <a class="el" href="_mini51_series_8h.html#aa4bf7ae407b400c7d86f7e85aab41499">SYS_RSTSRC_RSTS_CPU_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get reset source is from CPU reset. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>Previous reset source is not from CPU reset </td></tr>
    <tr><td class="paramname">&gt;=1</td><td>Previous reset source is from CPU reset</td></tr>
  </table>
  </dd>
</dl>
<p>This macro get previous reset source is from CPU reset. </p>

<p class="definition">Definition at line <a class="el" href="sys_8h_source.html#l00323">323</a> of file <a class="el" href="sys_8h_source.html">sys.h</a>.</p>

</div>
</div>
<a id="ga0ed11ba1130464efdb1762c73efa15de"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga0ed11ba1130464efdb1762c73efa15de">&#9670;&nbsp;</a></span>SYS_IS_POR_RST</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SYS_IS_POR_RST</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td>&#160;&#160;&#160;(<a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;RSTSRC &amp; <a class="el" href="_mini51_series_8h.html#a61adf1a22db7ff6850c89e9564422fbc">SYS_RSTSRC_RSTS_POR_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get reset source is from Power-on Reset. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>Previous reset source is not from Power-on Reset </td></tr>
    <tr><td class="paramname">&gt;=1</td><td>Previous reset source is from Power-on Reset</td></tr>
  </table>
  </dd>
</dl>
<p>This macro get previous reset source is from Power-on Reset. </p>

<p class="definition">Definition at line <a class="el" href="sys_8h_source.html#l00332">332</a> of file <a class="el" href="sys_8h_source.html">sys.h</a>.</p>

</div>
</div>
<a id="ga8a0a6032d2a8667694b98e6d217575ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga8a0a6032d2a8667694b98e6d217575ab">&#9670;&nbsp;</a></span>SYS_IS_RSTPIN_RST</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SYS_IS_RSTPIN_RST</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td>&#160;&#160;&#160;(<a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;RSTSRC &amp; <a class="el" href="_mini51_series_8h.html#afe0dfb04c78c60483f8cbc0cde17edb9">SYS_RSTSRC_RSTS_RESET_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get reset source is from reset pin reset. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>Previous reset source is not from reset pin reset </td></tr>
    <tr><td class="paramname">&gt;=1</td><td>Previous reset source is from reset pin reset</td></tr>
  </table>
  </dd>
</dl>
<p>This macro get previous reset source is from reset pin reset. </p>

<p class="definition">Definition at line <a class="el" href="sys_8h_source.html#l00341">341</a> of file <a class="el" href="sys_8h_source.html">sys.h</a>.</p>

</div>
</div>
<a id="ga1bd9b963e9433f56137b2d3af0aac52a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga1bd9b963e9433f56137b2d3af0aac52a">&#9670;&nbsp;</a></span>SYS_IS_SYSTEM_RST</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SYS_IS_SYSTEM_RST</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td>&#160;&#160;&#160;(<a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;RSTSRC &amp; <a class="el" href="_mini51_series_8h.html#a33d08c0df5022d6bdc1bcbab6ad2b6c3">SYS_RSTSRC_RSTS_MCU_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get reset source is from system reset. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>Previous reset source is not from system reset </td></tr>
    <tr><td class="paramname">&gt;=1</td><td>Previous reset source is from system reset</td></tr>
  </table>
  </dd>
</dl>
<p>This macro get previous reset source is from system reset. </p>

<p class="definition">Definition at line <a class="el" href="sys_8h_source.html#l00350">350</a> of file <a class="el" href="sys_8h_source.html">sys.h</a>.</p>

</div>
</div>
<a id="ga9bd1908e7dfce8dfd174eed46a5590a0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga9bd1908e7dfce8dfd174eed46a5590a0">&#9670;&nbsp;</a></span>SYS_IS_WDT_RST</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SYS_IS_WDT_RST</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td>&#160;&#160;&#160;(<a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;RSTSRC &amp; <a class="el" href="_mini51_series_8h.html#a4844b60153a47545a3ab658cdf1dad40">SYS_RSTSRC_RSTS_WDT_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get reset source is from window watch dog reset. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>Previous reset source is not from window watch dog reset </td></tr>
    <tr><td class="paramname">&gt;=1</td><td>Previous reset source is from window watch dog reset</td></tr>
  </table>
  </dd>
</dl>
<p>This macro get previous reset source is from window watch dog reset. </p>

<p class="definition">Definition at line <a class="el" href="sys_8h_source.html#l00359">359</a> of file <a class="el" href="sys_8h_source.html">sys.h</a>.</p>

</div>
</div>
<a id="ga46edb120c56373a118b718343c319c77"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga46edb120c56373a118b718343c319c77">&#9670;&nbsp;</a></span>SYS_SET_BOD_LEVEL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SYS_SET_BOD_LEVEL</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32Level</td><td>)</td>
          <td>&#160;&#160;&#160;(<a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;BODCTL = (<a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;BODCTL &amp; ~<a class="el" href="_mini51_series_8h.html#a14ab8ccf60618bb4936d921589e142fb">SYS_BODCR_BOD_VL_Msk</a>) | u32Level)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set Brown-out detector voltage level. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Level</td><td>is Brown-out voltage level. Including :<ul>
<li><a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6ca08af54f9e9a5292da4013a7f5b5f5">SYS_BODCR_BOD_VL_4_4V</a></li>
<li><a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3e07729ba5db932a357cfe6b063d3138">SYS_BODCR_BOD_VL_3_7V</a></li>
<li><a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gacc6ed84e99e86c3ba5fc1f043b64cbc6">SYS_BODCR_BOD_VL_2_7V</a></li>
<li><a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae1787ca2122385b91fd1ee118a0a2801">SYS_BODCR_BOD_VL_2_2V</a> </li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>This macro set Brown-out detector voltage level. The write-protection function should be disabled before using this macro. </p>

<p class="definition">Definition at line <a class="el" href="sys_8h_source.html#l00305">305</a> of file <a class="el" href="sys_8h_source.html">sys.h</a>.</p>

</div>
</div>
<a id="gab72946358ea643256fb03e60feb3d8f4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gab72946358ea643256fb03e60feb3d8f4">&#9670;&nbsp;</a></span>SYS_SET_BOD_LPM</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SYS_SET_BOD_LPM</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td>&#160;&#160;&#160;(<a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;BODCTL |= <a class="el" href="_mini51_series_8h.html#a4782e02312409a7aaa4496c76b465070">SYS_BODCR_BOD_LPM_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set Brown-out detector function low power mode. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>This macro set Brown-out detector to low power mode. The register write-protection function should be disabled before using this macro. </p>

<p class="definition">Definition at line <a class="el" href="sys_8h_source.html#l00292">292</a> of file <a class="el" href="sys_8h_source.html">sys.h</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="gafabb183d573b69d6fb9bc208dfbfcd29"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gafabb183d573b69d6fb9bc208dfbfcd29">&#9670;&nbsp;</a></span>SYS_ClearResetSrc()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SYS_ClearResetSrc </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Src</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function clear the selected system reset source. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">u32Src</td><td>is system reset source </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="sys_8c_source.html#l00031">31</a> of file <a class="el" href="sys_8c_source.html">sys.c</a>.</p>

</div>
</div>
<a id="gad0fd5d8424b1d3dc3ec3e92829ed1142"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gad0fd5d8424b1d3dc3ec3e92829ed1142">&#9670;&nbsp;</a></span>SYS_DisableBOD()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SYS_DisableBOD </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function disable BOD function. </p>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="sys_8c_source.html#l00163">163</a> of file <a class="el" href="sys_8c_source.html">sys.c</a>.</p>

</div>
</div>
<a id="ga790f536ad44ceaec7e95f939d83137b9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga790f536ad44ceaec7e95f939d83137b9">&#9670;&nbsp;</a></span>SYS_EnableBOD()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SYS_EnableBOD </td>
          <td>(</td>
          <td class="paramtype">int32_t&#160;</td>
          <td class="paramname"><em>i32Mode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32BODLevel</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function configure BOD function. Configure BOD reset or interrupt mode and set Brown-out voltage level. Enable Brown-out function. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">i32Mode</td><td>is reset or interrupt mode. Including :<ul>
<li><a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6577a2c57b407fe219021f8e34a76093">SYS_BODCR_BOD_RST_EN</a></li>
<li><a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga58e5678085e7bd81b8c05432a19da44b">SYS_BODCR_BOD_INTERRUPT_EN</a> </li>
</ul>
</td></tr>
    <tr><td class="paramname">u32BODLevel</td><td>is Brown-out voltage level. Including :<ul>
<li><a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6ca08af54f9e9a5292da4013a7f5b5f5">SYS_BODCR_BOD_VL_4_4V</a></li>
<li><a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3e07729ba5db932a357cfe6b063d3138">SYS_BODCR_BOD_VL_3_7V</a></li>
<li><a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gacc6ed84e99e86c3ba5fc1f043b64cbc6">SYS_BODCR_BOD_VL_2_7V</a></li>
<li><a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae1787ca2122385b91fd1ee118a0a2801">SYS_BODCR_BOD_VL_2_2V</a> </li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="sys_8c_source.html#l00152">152</a> of file <a class="el" href="sys_8c_source.html">sys.c</a>.</p>

</div>
</div>
<a id="ga0c9b646f6a8040ef12e8aa801b4a7f25"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga0c9b646f6a8040ef12e8aa801b4a7f25">&#9670;&nbsp;</a></span>SYS_GetBODStatus()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t SYS_GetBODStatus </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function get Brown-out detector output status. </p>
<dl class="section return"><dt>Returns</dt><dd>0: System voltage is higher than BOD_VL setting or BOD_EN is 0. 1: System voltage is lower than BOD_VL setting. Note : If the BOD_EN is 0, this function always return 0. </dd></dl>

<p class="definition">Definition at line <a class="el" href="sys_8c_source.html#l00042">42</a> of file <a class="el" href="sys_8c_source.html">sys.c</a>.</p>

</div>
</div>
<a id="ga74255dfc44a997162d991a69a7d1fbf4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga74255dfc44a997162d991a69a7d1fbf4">&#9670;&nbsp;</a></span>SYS_GetResetSrc()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t SYS_GetResetSrc </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function get the system reset source register value. </p>
<dl class="section return"><dt>Returns</dt><dd>Reset source </dd></dl>

<p class="definition">Definition at line <a class="el" href="sys_8c_source.html#l00051">51</a> of file <a class="el" href="sys_8c_source.html">sys.c</a>.</p>

</div>
</div>
<a id="gad35875e441a7602e8b265c09372a2d8d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gad35875e441a7602e8b265c09372a2d8d">&#9670;&nbsp;</a></span>SYS_IsRegLocked()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t SYS_IsRegLocked </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function check register write-protection bit setting. </p>
<dl class="section return"><dt>Returns</dt><dd>0: Write-protection function is disabled. 1: Write-protection function is enabled. </dd></dl>

<p class="definition">Definition at line <a class="el" href="sys_8c_source.html#l00061">61</a> of file <a class="el" href="sys_8c_source.html">sys.c</a>.</p>

</div>
</div>
<a id="ga1f2edc03f82c54243f3c5c7a5012d1d1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga1f2edc03f82c54243f3c5c7a5012d1d1">&#9670;&nbsp;</a></span>SYS_LockReg()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SYS_LockReg </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function enable register write-protection function. </p>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>To lock the protected register to forbid write access </p>

<p class="definition">Definition at line <a class="el" href="sys_8c_source.html#l00071">71</a> of file <a class="el" href="sys_8c_source.html">sys.c</a>.</p>

</div>
</div>
<a id="gabc7601bc640a903ef512f39e08de164a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gabc7601bc640a903ef512f39e08de164a">&#9670;&nbsp;</a></span>SYS_ReadPDID()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t SYS_ReadPDID </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function get product ID. </p>
<dl class="section return"><dt>Returns</dt><dd>Product ID </dd></dl>

<p class="definition">Definition at line <a class="el" href="sys_8c_source.html#l00095">95</a> of file <a class="el" href="sys_8c_source.html">sys.c</a>.</p>

</div>
</div>
<a id="gafc85afae532807b21e6d9c11d0c3683f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gafc85afae532807b21e6d9c11d0c3683f">&#9670;&nbsp;</a></span>SYS_ResetChip()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SYS_ResetChip </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function reset chip. </p>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="sys_8c_source.html#l00104">104</a> of file <a class="el" href="sys_8c_source.html">sys.c</a>.</p>

</div>
</div>
<a id="ga0844b4c27424787d08fbcdcc74573a0a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga0844b4c27424787d08fbcdcc74573a0a">&#9670;&nbsp;</a></span>SYS_ResetCPU()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SYS_ResetCPU </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function reset CPU. </p>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="sys_8c_source.html#l00113">113</a> of file <a class="el" href="sys_8c_source.html">sys.c</a>.</p>

</div>
</div>
<a id="ga9e848b58c75cca02dc03ad1b90383a87"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga9e848b58c75cca02dc03ad1b90383a87">&#9670;&nbsp;</a></span>SYS_ResetModule()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SYS_ResetModule </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32ModuleIndex</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function reset selected modules. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">u32ModuleIndex</td><td>is module index. Including :<ul>
<li><a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9ee0de9769cd0989ec8ad938fc7662ba">ADC_RST</a></li>
<li><a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac1c657c097ab467f731997d1cb60fc65">ACMP_RST</a></li>
<li><a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaafd3a33d490cda17ccdc422d815c03ad">PWM_RST</a></li>
<li><a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4766febaf94a106fc97d68bf5730e0a4">UART_RST</a></li>
<li><a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab0c957dd9e111cb750a9342efee2b4a7">SPI_RST</a></li>
<li><a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf5f5009f2f29d9a529d3354db3a03dcc">I2C_RST</a></li>
<li><a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga72d926ea5a6e6fe596e9805607a99bbd">TMR1_RST</a></li>
<li><a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae2a280a1b89c2ceeeebcca9f9856afef">TMR0_RST</a></li>
<li><a class="el" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5ee0c075825ac980f420f0e0483c8634">GPIO_RST</a> </li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="sys_8c_source.html#l00132">132</a> of file <a class="el" href="sys_8c_source.html">sys.c</a>.</p>

</div>
</div>
<a id="gacf942387227541c12b798fcee79a56a0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gacf942387227541c12b798fcee79a56a0">&#9670;&nbsp;</a></span>SYS_UnlockReg()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SYS_UnlockReg </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function disable register write-protection function. </p>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>To unlock the protected register to allow write access </p>

<p class="definition">Definition at line <a class="el" href="sys_8c_source.html#l00081">81</a> of file <a class="el" href="sys_8c_source.html">sys.c</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Mon Oct 5 2020 14:31:44 for Mini51 BSP by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
